ISISBuilderInfo (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.project.ISISBuilderInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder.project
Interface ISISBuilderInfo

    public interface ISISBuilderInfo

ISISBuilderInfo represents one instance of configuration data for building SIS files.

See Also:
  `ICarbideBuildConfiguration`

Field Summary
`static int` | `DONT_SIGN`
`static int` | `KEY_CERT_SIGN`
`static int` | `SELF_SIGN`

Method Summary
`java.lang.String` | `getAdditionalOptions()` Get the additional options string as it comes from the settings file
`java.lang.String` | `getCertificate()` Get the cert string as it comes from the settings file
`IPath` | `getCertificateFullPath()` Get the cert full path
`java.lang.String` | `getContentSearchLocation()` Get the path to the content search location for makesis that is stored in the configuration settings
`IPath` | `getFinalSISFullPath()` Get the final SIS file that created by the SIS builer.
`java.lang.String` | `getKey()` Get the key string as it comes from the settings file
`IPath` | `getKeyFullPath()` Get the key full path
`java.lang.String` | `getPassword()` Get the password string as it comes from the settings file
`java.lang.String` | `getPKGFileString()` Get the PKG file string as it comes from the settings file
`IPath` | `getPKGFullPath()` Get the full path of the PKG file resolved from it's current project location
`IProject` | `getProject()` Get the project this SIS builder info belongs to
`java.lang.String` | `getSignedSISFileName()` Get the output SIGNED sis file name as it comes from the settings file
`IPath` | `getSignedSISFullPath()` Get the full path of the SIGNED SIS file name from signedsis.exe.
`int` | `getSigningType()` Get the signing method.
`java.lang.String` | `getUnsignedSISFileName()` Get the output sis file name as it comes from the settings file
`IPath` | `getUnsignedSISFullPath()` Get the full path of the UNSIGNED SIS file name (from makesis.exe)
`boolean` | `isCreateStubFormat()` Get the flag if set to create a stub format file
`boolean` | `isEnabled()` Get the enabled state
`void` | `setAdditionalOptions(java.lang.String options)` Set the options string as it should be written to the settings file
`void` | `setCertificate(java.lang.String certString)` Set the certificate file string as it should be written to the settings file
`void` | `setContentSearchLocation(java.lang.String searchLocale)` Set the path to the content search location for makesis.
`void` | `setCreateStubFormat(boolean flag)` Set the flag to create stub format
`void` | `setEnabled(boolean enable)` Set the enabled state
`void` | `setKey(java.lang.String keyString)` Get the key file string as it should be written to the settings file
`void` | `setOutputSISFileName(java.lang.String outputFileName)` Set the outputFileName string as it should be written to the settings file
`void` | `setPassword(java.lang.String password)` Set the password string as it should be written to the settings file
`void` | `setPKGFile(java.lang.String pkgFile)` Set the PKG file string as it should be written to the settings file
`void` | `setSignedSISFileName(java.lang.String signedFileName)` Set the signedFileName string as it should be written to the settings file
`void` | `setSigningType(int type)` Set the signing method.

Field Detail

### DONT_SIGN

    static final int DONT_SIGN

See Also:
  Constant Field Values

### SELF_SIGN

    static final int SELF_SIGN

See Also:
  Constant Field Values

### KEY_CERT_SIGN

    static final int KEY_CERT_SIGN

See Also:
  Constant Field Values

Method Detail

### getProject

    IProject getProject()

  Get the project this SIS builder info belongs to

  Returns:

### getFinalSISFullPath

    IPath getFinalSISFullPath()

  Get the final SIS file that created by the SIS builer. This may be an unsigned SIS file (OS 8.x and prior) or a signed sis file (OS 9+).

  Returns:
    IPath of the final output sis file. File is not guaranteed to exist.

### setPKGFile

    void setPKGFile(java.lang.String pkgFile)

  Set the PKG file string as it should be written to the settings file

  Parameters:
    `pkgFile` -

### setKey

    void setKey(java.lang.String keyString)

  Get the key file string as it should be written to the settings file

  Parameters:
    `keyString` -

### setCertificate

    void setCertificate(java.lang.String certString)

  Set the certificate file string as it should be written to the settings file

  Parameters:
    `certString` -

### setPassword

    void setPassword(java.lang.String password)

  Set the password string as it should be written to the settings file

  Parameters:
    `password` -

### setOutputSISFileName

    void setOutputSISFileName(java.lang.String outputFileName)

  Set the outputFileName string as it should be written to the settings file

  Parameters:
    `outputFileName` -

### setSignedSISFileName

    void setSignedSISFileName(java.lang.String signedFileName)

  Set the signedFileName string as it should be written to the settings file

  Parameters:
    `signedFileName` -

### setAdditionalOptions

    void setAdditionalOptions(java.lang.String options)

  Set the options string as it should be written to the settings file

  Parameters:
    `options` -

### setCreateStubFormat

    void setCreateStubFormat(boolean flag)

  Set the flag to create stub format

  Parameters:
    `flag` -

### getPKGFileString

    java.lang.String getPKGFileString()

  Get the PKG file string as it comes from the settings file

  Returns:

### getPKGFullPath

    IPath getPKGFullPath()

  Get the full path of the PKG file resolved from it's current project location

  Returns:

### getKey

    java.lang.String getKey()

  Get the key string as it comes from the settings file

  Returns:

### getKeyFullPath

    IPath getKeyFullPath()

  Get the key full path

  Returns:

### getCertificate

    java.lang.String getCertificate()

  Get the cert string as it comes from the settings file

  Returns:

### getCertificateFullPath

    IPath getCertificateFullPath()

  Get the cert full path

  Returns:
    IPath

### getPassword

    java.lang.String getPassword()

  Get the password string as it comes from the settings file

  Returns:

### getUnsignedSISFileName

    java.lang.String getUnsignedSISFileName()

  Get the output sis file name as it comes from the settings file

  Returns:
    The string as it comes from the settings file. May be an empty string.

### getUnsignedSISFullPath

    IPath getUnsignedSISFullPath()

  Get the full path of the UNSIGNED SIS file name (from makesis.exe)

  Returns:
    IPath object. The file is not guaranteed to exist.

### getSignedSISFileName

    java.lang.String getSignedSISFileName()

  Get the output SIGNED sis file name as it comes from the settings file

  Returns:
    The string as it comes from the settings file. May be an empty string.

### getSignedSISFullPath

    IPath getSignedSISFullPath()

  Get the full path of the SIGNED SIS file name from signedsis.exe.

  Returns:
    IPath object. The file is not guaranteed to exist.

### getAdditionalOptions

    java.lang.String getAdditionalOptions()

  Get the additional options string as it comes from the settings file

  Returns:

### isCreateStubFormat

    boolean isCreateStubFormat()

  Get the flag if set to create a stub format file

  Returns:

### setContentSearchLocation

    void setContentSearchLocation(java.lang.String searchLocale)

  Set the path to the content search location for makesis. Assumes a full path string.

  Parameters:
    `searchLocale` -

### getContentSearchLocation

    java.lang.String getContentSearchLocation()

  Get the path to the content search location for makesis that is stored in the configuration settings

  Parameters:
    `searchLocale` -

### getSigningType

    int getSigningType()

  Get the signing method. See `DONT_SIGN`, `SELF_SIGN`, 2

  Returns:
    one of `DONT_SIGN`, `SELF_SIGN`, 2

### setSigningType

    void setSigningType(int type)

  Set the signing method. See `DONT_SIGN`, `SELF_SIGN`, 2

  Parameters:
    `type` - one of `DONT_SIGN`, `SELF_SIGN`, 2

### isEnabled

    boolean isEnabled()

  Get the enabled state

  Returns:
    true if should be built, false otherwise

### setEnabled

    void setEnabled(boolean enable)

  Set the enabled state

  Parameters:
    `enable` - true if should be built, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD